[SCM] libav/experimental: fate: ensure all imported rules are handled by helpers

siretart at users.alioth.debian.org siretart at users.alioth.debian.org
Sun Jun 30 17:11:42 UTC 2013


The following commit has been merged in the experimental branch:
commit 77cce79aa76d8fee94ebea0380b1233c8339985a
Author: Måns Rullgård <mans at mansr.com>
Date:   Sun Jul 18 20:50:03 2010 +0000

    fate: ensure all imported rules are handled by helpers
    
    Originally committed as revision 24318 to svn://svn.ffmpeg.org/ffmpeg/trunk

diff --git a/tests/fate-update.sh b/tests/fate-update.sh
index 5deaf54..6b4668f 100755
--- a/tests/fate-update.sh
+++ b/tests/fate-update.sh
@@ -39,8 +39,11 @@ do_sql "$SQL_TESTS" | while read id name command; do
             command="${command#*ffmpeg}"; command="${command% -f *}"
             command="crc $command"
             ;;
+        *)
+            echo "Unhandled command '$command'"
+            exit 1
+            ;;
     esac
-    command=$(echo "$command" | sed 's/\$BUILD_PATH/$(TARGET_PATH)/g')
     command=$(echo "$command" | sed 's/\$SAMPLES_PATH/$(SAMPLES)/g')
     command=$(echo "$command" | sed 's/ *$//')
     do_sql "SELECT expected_stdout FROM test_spec WHERE id=$id" | awk '/./{print}' > "$ref/$name"

-- 
Libav/FFmpeg packaging



More information about the pkg-multimedia-commits mailing list